LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva
User Name
Password
Mandriva This Forum is for the discussion of Mandriva (Mandrake) Linux.

Notices


Reply
  Search this Thread
Old 06-12-2004, 07:06 AM   #16
barrys
Member
 
Registered: Sep 2003
Location: London
Distribution: Susi 9.1, Man10 amd64, Man10.1
Posts: 243

Original Poster
Rep: Reputation: 30

stunter

thanks for your help

I do not have a file or directory /etc/ldconfig

ldconfig -v in a terminal gives me a load of directories but do not know what directory I should look at here,

I have pkgconfig in 2 places (first probably was from trying to build from route.

In usr/lib/pkgconfig

I have the pc files that point to the packages have omitted some that relate to other things.

fontconfig 2.2.1
freetype2 9.5.3
glib-2.0 2.2.3
gmodule 2.2.3
gobject 2.2.3
gobject 2.2.3
gthread 2.2.3
libart 2.3.16

and in /usr/local/lib/pkgconfig

atk 1.6.0
glib-2.0 2.4.2
gmodule 2.4.2
gobject 2.4.2
gobject 2.4.2
gthread 2.4.2
libart 2.3.16

I cannot find any config.cache files in any of the directories I have built or in any that would not pass the configure stage.

Would appreciate you looking on your home installation to see where your's is.

I still feel it cannot find the gtk+- at all rather than finding a version that is less than 2.2.2

I stll cannot find the location of gtk+- even though the rpmdrake says it is installed
how can I check for all versions if any?
 
Old 06-12-2004, 08:09 AM   #17
barrys
Member
 
Registered: Sep 2003
Location: London
Distribution: Susi 9.1, Man10 amd64, Man10.1
Posts: 243

Original Poster
Rep: Reputation: 30
I might have moved on .

I tried to configure the GDK+ and fixed 2 of the requirements
by copying the atk.pc from usr/local/lib/pkconfig

the build appears to be looking at /usr/lib/pkgconfig
it also said glib-2.0 was 2.2.3 so I changed glib-2.0.pc
in the directory to the 2.4.2 (installed from the build)

On configure it then said Pango was not installed.

I then tried to configure Pango which had the error saying that pkg-config says 2.4.2 but glib is 2.2.3

It says either remove it or modify LD_LIBRARY_PATH

The GLIB does not appear in the rpmdrake for uninstall, so how do I uninstall it

and how do I modify the LD_LIBRARY_PATH?

 
Old 06-16-2004, 06:25 PM   #18
ntilde
LQ Newbie
 
Registered: Jun 2004
Posts: 2

Rep: Reputation: 0
I'm using Mandrake 10.0, and I was able to get Gimp2 to work just fine. It took some downloading, but here's the list of the things I downloaded. It's all rpm, and I got them all from here:

http://rpm.pbone.net/index.php3/stat...2/idg/Graphics

Here's what I got:

libgimp2.0_0-2.0.0-2mdk.i586.rpm
gimp2_0-2.0.0-2mdk.i586.rpm
gimp2-freetype-0.5-3mdk.i586.rpm

That was it. I started the installation with the libgimp2.0 rpm, because if not, Gimp asks for it.

Hope I save someone some frustration.
 
Old 08-10-2004, 09:52 PM   #19
apokryphos
Member
 
Registered: Jun 2004
Distribution: openSUSE Factory
Posts: 96

Rep: Reputation: 15
Sorry, but I couldn't find "libgimp2.0_0-2.0.0-2mdk.i586.rpm" anywhere in that link you provided. Neither could I find "imp2-freetype-0.5-3mdk.i586.rpm". Perhaps you got them from somewhere else?

Also, I find it a little strange that several people are suggesting that one should get gimp 2 from urpmi; surely, the version on there is far older than the current ones.
 
Old 08-12-2004, 10:20 AM   #20
apokryphos
Member
 
Registered: Jun 2004
Distribution: openSUSE Factory
Posts: 96

Rep: Reputation: 15
Are there no RPMs out there of Gimp 2, then?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
printing on HP PhotoSmart from Gimp 2.2, gimp-print drivers needed? pearman Debian 2 08-05-2005 04:19 AM
gimp / gutenprint prob: gimp does not print bitpicker Linux - Software 0 04-08-2005 07:38 AM
Gimp 2 rpm and Mandrake 10.0 fabre Linux - Software 2 08-04-2004 09:53 AM
Can I load GIMP in english ? (only gimp) Dark Carnival Linux - Software 4 09-17-2003 05:18 PM
Please help - Gimp RPM installation and general questions Annapanna Linux - Newbie 5 06-05-2002 02:12 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Mandriva

All times are GMT -5. The time now is 05:02 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration